QRcodly
APIQr code

Bulk-create QR codes from CSV

Generates multiple QR codes at once from a CSV file upload. Each row in the CSV maps to one QR code. All QR codes share the same styling configuration and content type. Returns an array of created QR code objects including any related entities.

POST
/qr-code/bulk-import

Authorization

bearerAuth
AuthorizationBearer <token>

Authenticate with a Bearer token. Pass your API key in the Authorization header: Authorization: Bearer <your-api-key>

In: header

Request Body

application/json

config*

QR code visual styling configuration (colors, shapes, dimensions, embedded image)

contentType*string

Content type for all QR codes in the import: url, text, wifi, vCard, email, location, event, or epc

Value in"url" | "text" | "wifi" | "vCard" | "email" | "location" | "event" | "epc"
file*unknown

Pass csv file as binary

[key: string]?never

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.qrcodly.de/api/v1/qr-code/bulk-import" \  -H "Content-Type: application/json" \  -d '{    "config": {      "width": 0,      "height": 0,      "margin": 0,      "imageOptions": {        "hideBackgroundDots": true      },      "dotsOptions": {        "type": "dots",        "style": {          "type": "hex",          "value": "string"        }      },      "cornersSquareOptions": {        "type": "dot",        "style": {          "type": "hex",          "value": "string"        }      },      "cornersDotOptions": {        "type": "dot",        "style": {          "type": "hex",          "value": "string"        }      },      "backgroundOptions": {        "style": {          "type": "hex",          "value": "string"        }      }    },    "contentType": "url",    "file": null  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "name": "string",
  "config": {
    "width": 0,
    "height": 0,
    "margin": 0,
    "image": "string",
    "imageOptions": {
      "hideBackgroundDots": true
    },
    "dotsOptions": {
      "type": "dots",
      "style": {
        "type": "hex",
        "value": "string"
      }
    },
    "cornersSquareOptions": {
      "type": "dot",
      "style": {
        "type": "hex",
        "value": "string"
      }
    },
    "cornersDotOptions": {
      "type": "dot",
      "style": {
        "type": "hex",
        "value": "string"
      }
    },
    "backgroundOptions": {
      "style": {
        "type": "hex",
        "value": "string"
      }
    }
  },
  "content": {
    "type": "url",
    "data": {
      "url": "http://example.com",
      "isDynamic": true
    }
  },
  "qrCodeData": "string",
  "previewImage": "string",
  "createdBy": "string",
  "shortUrl": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "shortCode": "strin",
    "name": null,
    "destinationUrl": "http://example.com",
    "qrCodeId": "8a619d64-dbe8-4c9d-9490-babe22a53a28",
    "customDomainId": null,
    "isActive": true,
    "createdBy": "string",
    "deletedAt": null
  },
  "tags": []
}
{
  "message": "string",
  "code": 0,
  "fieldErrors": {
    "property1": null,
    "property2": null
  }
}
{
  "message": "string",
  "code": 0
}
{
  "message": "string",
  "code": 0
}